Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_stream_print

## Name

librdf_stream_print -- print the stream

## Synopsis

``void `librdf_stream_print`` (librdf_stream * `stream`, FILE * `fh`);`

## Arguments

`stream`

  the stream object

`fh`

  the FILE stream to print to

## Description

This prints the remaining statements of the stream to the given file handle. Note that after this method is called the stream will be empty so that `librdf_stream_end` will always be true and `librdf_stream_next` will always return NULL. The only useful operation is to dispose of the stream with the `librdf_free_stream` destructor.

This method is for debugging and the format of the output should not be relied on.

<<< Previous | Home | Next >>>
librdf_new_stream_from_node_iterator | Up | Data Iterators